  /**
    * @file FlickerAVR.c
    * @brief This module contains the implementation of the flicker hardware
    * function.
    *
    * @author Stefan Popovic
    *
    * @date 11/10/2016
    *
    * @version 0.1a
    *
    * @copyright GNU Public License
    *
    * Test configuration:
    *
    * MCU: ATMEGA32
    * Dev.Board: EasyAVR v7 Connectivity
    * External Clock 72.0000 MHz
    * Ext. Modules: Flicker Click Board
    * SW: MikroC PRO for AVR v6.1.2
    *
    * NOTES:
      - Flicker board is essentially timer delay relay with two potentiometers: 
        P1 for ON and P2 for OFF timer with the ON time range of (0.1 - 6) sec
      - By using potentiometers P1 and P2, you can adjust the ON / OFF period
      - Place Flicker click board on mikroBUS slot 1, slot 2 or slot 3
      - Put Button Press Level switches PA and PB into upper position
      - FON: PA6/Slot 1 | PA1/Slot 2 | PB0/Slot 3
      

    /**************************************************************************
    * Module Preprocessor Constants
    **************************************************************************/


    /**************************************************************************
    * Module Preprocessor Macros
    **************************************************************************/


    /**************************************************************************
    * Module Typedefs
    **************************************************************************/


     /*************************************************************************
     * Includes
     *************************************************************************/


    /**************************************************************************
    * Module Variable Definitions
    **************************************************************************/

    void main() 
    {
      DDA6_bit = 0;       // Set PORTA pin 6 as input.
      DDA1_bit = 0;       // Set PORTA pin 1 as input.
      DDB0_bit = 0;       // Set PORTB pin 0 as input.
      while(1);           // Endless loop
                          // Hold Button PA6 for Slot 1, PA1 for Slot 2 or PB0 for Slot 3
                          // While Button is held, the onboard LED will blink according to ON/OFF timer.
                          // For example, connect beeper from digital multimeter on terminal.
    }